Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 242800 - No API for Deactivate all breakpoints feature in the Debugger Core
No API for Deactivate all breakpoints feature in the Debugger Core
Status: RESOLVED FIXED
Product: debugger
Classification: Unclassified
Component: Code
8.0
All All
: P3 (vote)
: 8.1
Assigned To: Martin Entlicher
issues@debugger
cndreq
: API, API_REVIEW_FAST
Depends on:
Blocks: 242617 251671
  Show dependency treegraph
 
Reported: 2014-03-11 15:47 UTC by henk89
Modified: 2015-05-02 07:17 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Suggested API (19.42 KB, patch)
2015-04-10 20:48 UTC, Martin Entlicher
Details | Diff
The proposed API for breakpoints activation/deactivation (13.92 KB, patch)
2015-04-22 12:57 UTC, Martin Entlicher
Details | Diff
An implementation and usage of the proposed APIs. (18.33 KB, patch)
2015-04-22 12:57 UTC, Martin Entlicher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description henk89 2014-03-11 15:47:34 UTC
There is no API to reuse the infrastructure.
Comment 1 Martin Entlicher 2015-04-10 20:48:12 UTC
Created attachment 153132 [details]
Suggested API

Please find the suggested APIs attached. If there are no objections, I'll provide a GUI action using EngineBreakpoints and activating/deactivating breakpoints in Debug main menu and in Breakpoints window.
Then JavaScript client debugger and Java debugger will be the first implementors of EngineBreakpointsProvider.
Comment 2 Martin Entlicher 2015-04-22 12:57:11 UTC
Created attachment 153299 [details]
The proposed API for breakpoints activation/deactivation

I've simplified the original proposal. Please review these APIs.
Comment 3 Martin Entlicher 2015-04-22 12:57:54 UTC
Created attachment 153300 [details]
An implementation and usage of the proposed APIs.
Comment 4 Martin Entlicher 2015-04-22 12:58:54 UTC
Please review the suggested API change.
Comment 5 Martin Entlicher 2015-04-28 12:43:47 UTC
If there are no objections, I'd push the new APIs and associated implementation tomorrow.
Comment 6 Martin Entlicher 2015-04-30 11:48:42 UTC
Pushed as changeset:   287398:89888cd0d9e9
http://hg.netbeans.org/core-main/rev/89888cd0d9e9
Comment 7 Quality Engineering 2015-05-02 07:17:51 UTC
Integrated into 'main-silver', will be available in build *201505020001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/89888cd0d9e9
User: mentlicher@netbeans.org
Log: #242800: API for breakpoints deactivation.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo